| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::FileActionMngrFileWorker Class Reference
Inheritance diagram for Digikam::FileActionMngrFileWorker:

## Public Member Functions
| FileActionMngrFileWorker (FileActionMngr::Private *const dd)
void | transform (const FileActionItemInfoList &infos, int orientation) override
void | writeMetadata (const FileActionItemInfoList &infos, int flags) override
void | writeMetadataToFiles (const FileActionItemInfoList &infos) override
void | writeOrientationToFiles (const FileActionItemInfoList &infos, int orientation) override
Public Member Functions inherited from Digikam::WorkerObject
| WorkerObject ()
| Deriving from a worker object allows you to execute your slots in a thread.
bool | connectAndSchedule (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type=Qt::AutoConnection) const
| You must normally call schedule() to ensure that the object is active when you send a signal with work data.
QThread::Priority | priority () const
void | setPriority (QThread::Priority priority)
| Sets the priority for this dynamic thread.
State | state () const
void | wait ()

## Additional Inherited Members
Public Types inherited from Digikam::WorkerObject
enum | DeactivatingMode { FlushSignals , KeepSignals , PhaseOut }
enum | State { Inactive , Scheduled , Running , Deactivating }
Public Slots inherited from Digikam::FileWorkerInterface
Public Slots inherited from Digikam::WorkerObject
void | deactivate (DeactivatingMode mode=FlushSignals)
| Quits execution of this worker object.
void | schedule ()
| Starts execution of this worker object: The object is moved to a thread and an event loop started, so that queued signals will be received.
Signals inherited from Digikam::FileWorkerInterface
void | imageChangeFailed (const QString &message, const QStringList &fileNames)
void | imageDataChanged (const QString &path, bool removeThumbnails, bool notifyCache)
Signals inherited from Digikam::WorkerObject
void | finished ()
void | started ()
Static Public Member Functions inherited from Digikam::WorkerObject
static bool | connectAndSchedule (const QObject *sender, const char *signal, const WorkerObject *receiver, const char *method, Qt::ConnectionType type=Qt::AutoConnection)
static bool | disconnectAndSchedule (const QObject *sender, const char *signal, const WorkerObject *receiver, const char *method)
Protected Member Functions inherited from Digikam::WorkerObject
virtual void | aboutToDeactivate ()
| Called from deactivate(), typically from a different thread than the worker thread, possibly the UI thread.
virtual void | aboutToQuitLoop ()
| Called from within thread's event loop to quit processing.
void | addRunnable (WorkerObjectRunnable *loop)
bool | event (QEvent *e) override
void | removeRunnable (WorkerObjectRunnable *loop)
void | run ()
void | setEventLoop (QEventLoop *loop)
void | shutDown ()
| If you are deleting data in your destructor which is accessed from the thread, do one of the following from your destructor to guarantee a safe shutdown: 1) Call this method 2) Call stop() and wait(), knowing that nothing will call start() anymore after this 3) Be sure the thread will never be running at destruction.
void | transitionToInactive ()
bool | transitionToRunning ()

## Member Function Documentation

## ◆ transform()

void Digikam::FileActionMngrFileWorker::transform | ( | const FileActionItemInfoList & | infos,
|  | int | orientation
| ) |  |
| override virtual

Reimplemented from Digikam::FileWorkerInterface.

## ◆ writeMetadata()

void Digikam::FileActionMngrFileWorker::writeMetadata | ( | const FileActionItemInfoList & | infos,
|  | int | flags
| ) |  |
| override virtual

Reimplemented from Digikam::FileWorkerInterface.

## ◆ writeMetadataToFiles()

void Digikam::FileActionMngrFileWorker::writeMetadataToFiles | ( | const FileActionItemInfoList & | infos | ) |
| override virtual

Reimplemented from Digikam::FileWorkerInterface.

## ◆ writeOrientationToFiles()

void Digikam::FileActionMngrFileWorker::writeOrientationToFiles | ( | const FileActionItemInfoList & | infos,
|  | int | orientation
| ) |  |
| override virtual

Reimplemented from Digikam::FileWorkerInterface.